601,100
562,"NULL"
586,
585,
564,
565,"hdlITYA=aXVZ0>^Uf9^=h95`T[?@`mW@^D@dP1qeGChysxRHEG^t7rOzUyu44xJl@N209kEc1Lwprgy]sfWi2XKu^Ei>BVa\rTR;[AlP@TDNto7c=\gHQNj1xKdMbbhfxP6f\lY=>;q[i@pyQ32[UQ^I;1cP@6vjuNVyhqFvXOhlwCWf\:;au\xNR\bkOj0^47p]Uz]>"
559,0
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,
568,""""
570,
571,
569,0
592,0
599,1000
560,2
pCube
pView
561,2
2
2
590,2
pCube,"ALL"
pView,"PeriodCloseZeroOut"
637,2
pCube,Cube to clean out or ALL
pView,View to use
577,0
578,0
579,0
580,0
581,0
582,0
572,34

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****

vCubeIndex = 1;
vCubes = DIMSIZ('}Cubes');
WHILE (vCubeIndex <= vCubes);

vCube = DIMNM('}Cubes', vCubeIndex);

IF (pCube @= vCube % (pCube @= 'ALL' & (vCube @= 'Sample_Trial Balance' % vCube @= 'Sample_Income Statement' % vCube @= 'Sample_Balance Sheet' % vCube
 @= 'Sample_Cash Flow' )));

IF (CUBEEXISTS(vCube) > 0);
vDeleteView = 0;
IF (VIEWEXISTS(vCube, pView) = 0);
VIEWCREATE(vCube, pView);
VIEWEXTRACTSKIPZEROESSET(vCube, pView, 1);
VIEWEXTRACTSKIPCALCSSET(vCube, pView, 1);
VIEWEXTRACTSKIPRULEVALUESSET(vCube, pView, 1);
vDeleteView = 1;
ENDIF;
IF (VIEWEXISTS(vCube, pView) > 0);
VIEWZEROOUT(vCube, pView);
IF (vDeleteView = 1);
VIEWDESTROY(vCube, pView);
ENDIF;
ENDIF;
ENDIF;
ENDIF;

vCubeIndex = vCubeIndex + 1;
END;

573,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
574,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
575,3

#****GENERATED STATEMENTS START****
#****GENERATED STATEMENTS FINISH****
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
